summaryrefslogtreecommitdiffstats
path: root/office/calibre-bin/calibre-bin.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'office/calibre-bin/calibre-bin.SlackBuild')
-rw-r--r--office/calibre-bin/calibre-bin.SlackBuild26
1 files changed, 20 insertions, 6 deletions
diff --git a/office/calibre-bin/calibre-bin.SlackBuild b/office/calibre-bin/calibre-bin.SlackBuild
index 5e2bc914fa..1a2062e0c3 100644
--- a/office/calibre-bin/calibre-bin.SlackBuild
+++ b/office/calibre-bin/calibre-bin.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for calibre-bin
-# Copyright 2019-2021, Alexander Verbovetsky, Moscow, Russia
+# Copyright 2019-2024, Alexander Verbovetsky, Moscow, Russia
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,21 +22,29 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=calibre-bin
-VERSION=${VERSION:-5.12.0}
+VERSION=${VERSION:-7.7.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
ARCH="$( uname -m )"
fi
case "$ARCH" in
- i?86) ARCH=i686 ;;
+ i?86) echo "Support for 32bit CPUs has been dropped because Qt 6 does not support them"
+ exit 1 ;;
arm*) ARCH=arm ;;
esac
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -56,6 +64,8 @@ rm -r usr/share/{desktop-directories,mime/!(packages)}
shopt -u extglob
rm -f usr/share/applications/mimeinfo.cache
+sed -i "s|$PKG||g" usr/share/bash-completion/completions/ebook-convert
+
cd usr/bin
for f in $(find . -maxdepth 1 -type l); do
ln -sf "/opt/calibre/${f:2}" .
@@ -63,6 +73,10 @@ done
rm calibre-uninstall
cd ../..
+find -L opt/calibre/plugins -type f -name "*.so" -exec chmod 755 {} \;
+find -L opt/calibre/lib/calibre-extensions \
+ -type f -name "*.so" -exec chmod 755 {} \;
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -80,4 +94,4 @@ mkdir -p install
cat $CWD/slack-desc > install/slack-desc
cat $CWD/doinst.sh > install/doinst.sh
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE